Bug 820028 - restarting networkmanager crashes gnome shell
restarting networkmanager crashes gnome shell
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 19:51 EDT by Ian Malone
Modified: 2013-02-13 15:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 15:35:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Malone 2012-05-08 19:51:24 EDT
Description of problem:
# systemctl restart NetworkManager.service
Gnome shell crashes and restarts, the following appears in dmseg:
gnome-shell[1709]: segfault at 0 ip 0000003d52c86dea sp 00007fff9ebddbe8 error 4 in libc-2.14.90.so[3d52c00000+1ad000]

/var/log/messages has this in amongst the NM startup messages:
May  9 00:42:59 atlas kernel: [10192.122874] gnome-shell[2841] general protection ip:3f0f833000 sp:7fff331c4a50 error:0 in libgobject-2.0.so.0.3000.3[3f0f800000+4c000]
May  9 00:42:59 atlas gnome-session[1534]: WARNING: Application 'gnome-shell.desktop' killed by signal

Version-Release number of selected component (if applicable):
gnome-shell-3.2.2.1-1.fc16.x86_64
kernels 3.3.2-6.fc16.x86_64 / 3.3.4-3.fc16.x86_64
NetworkManager-0.9.4-3.git20120403.fc16.x86_64
glibc-2.14.90-24.fc16.6.x86_64

How reproducible:
Not 100%, seems to be related to a loss of network (maybe a NM bug then?)
Comment 2 Fedora End Of Life 2013-01-16 11:40:57 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 15:35:03 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.